<?php
//require_once('wpdb.php');

class HowItWorksPage extends Page
{
    function draw()
    {
       ?>
        <p><?php echo __("<strong>Aruba Migration Tool</strong> lets you migrate content from your current WordPress website to one managed by <strong>Aruba.</strong>",'aruba-wp-migration-tool')?></p>
        <p><?php echo __("To do this, you will need to enter a migration token, that can be generated from the control panel of the <strong>Aruba.</strong> domain that you have registered or transferred.",'aruba-wp-migration-tool')?>
            <a href="<?php echo ARUBA_CLIENT_AREA_URL?>" target="_blank"><?php echo __("Go to your Aruba control panel.",'aruba-wp-migration-tool')?></a></p>
        <p><?php echo __("<strong>Before continuing, please check that there is nothing on your WordPress that would inhibit migration: </strong>",'aruba-wp-migration-tool')?></p>
        <p>
        <ul style="list-style: disc;list-style-position: inside;">
            <li><?php echo __("Display errors",'aruba-wp-migration-tool')?></li>
            <li><?php echo __("DNS problems",'aruba-wp-migration-tool')?></li>
            <li><?php echo __("Login security measures (e.g. 2 factor authentication)",'aruba-wp-migration-tool')?></li>
            <li><?php echo __("Customized WordPress login pages",'aruba-wp-migration-tool')?></li>
        </ul>
        </p>
        <p><?php echo __("<strong>In addition, before using the Aruba Migration Tool to migrate, you must check that you have the necessary prerequisites to perform this action: </strong>",'aruba-wp-migration-tool')?></p>
        <p>
        <ul  style="list-style: disc;list-style-position: inside;">
            <li><?php echo __("Latest version of WordPress",'aruba-wp-migration-tool')?></li>
            <li><?php echo __("Updated active plugins",'aruba-wp-migration-tool')?></li>
            <li><?php echo __("Latest version of PHP",'aruba-wp-migration-tool')?></li>
            <li><?php echo __("Latest version of MySQL",'aruba-wp-migration-tool')?></li>
        </ul>
        <a href="<?php echo ARUBA_HELP_URL?>" target="_blank"><?php echo __("See system compatibility requirements",'aruba-wp-migration-tool')?></a>
        </p>
<?php
        
    }


}
