<?php

abstract class Page
{
    abstract protected function draw();
    private function loadStyles()
    {
        wp_register_style(
            'aruba-migrator-style', // handle name
            plugins_url('../assets/css/aruba-migrator.css', dirname(__FILE__))
        );
        wp_enqueue_style('aruba-migrator-style');
    }

    public function buildPage()
    {
        $this->loadStyles();

        echo "<div id='wp2wp' class='wrap'>
            <h1>".__("Aruba Migration Tool","aruba-wp-migration-tool")." - " . esc_html(get_admin_page_title()) . "</h1>";
        if(isset($_GET['page']) && $_GET['page']!=="aruba-wp-migration-tool"){
            echo "<div class='notice notice-warning '> <!-- is-dismissible-->
        <p>".__("Before migrating using Aruba Migration Tool, we recommend you check the",'aruba-wp-migration-tool').
        "&nbsp;<a href='".ARUBA_HELP_URL."' target='_blank'>".__("system compatibility requirements",'aruba-wp-migration-tool')."</a></p>
        </div>";

        }
        $this->draw();
        echo "</div>";
    }
}
