<?php

abstract class MigratorState
{
    private $waitTime = 1;
    private $name;

    function __construct($name)
    {
        $this->name = $name;
    }
    abstract protected function execute();

    public function executeStep()
    {
        $GLOBALS["MIGRATION_FILE_MANAGER"]->updateMigrationKey("WP2WP_MIGRATION_CURRENT_STATE_NAME", $this->name);
        sleep($this->waitTime);
        $res = $this->execute();
        if (!$res) {
            $GLOBALS["MIGRATION_FILE_MANAGER"]->updateMigrationKey("WP2WP_MIGRATION_ERROR", "true");
        }
        return $res;
    }
}
