/*
    awmt_backup_maintenance_param
     'awmt_ajax_url' => esc_url(admin_url( 'admin-ajax.php' )),
            'awmt_ajax_url_start_process' => esc_url(admin_url('admin-ajax.php?action=start_step_process')),
            'awmt_ajax_url_migration_error' => esc_url(admin_url('admin-ajax.php?action=setmigrationerror')),
            'awmt_ajax_url_preparemigrationdetail'=>esc_url(admin_url('admin-ajax.php?action=preparemigrationdetail')),
            'awmt_ajax_url_step5'=> esc_url(admin_url(AWMT_STEPS_URL[5])),
 */
jQuery(document).ready(function(){
    var poll_file_statusInterval=false;
    var c_ss='';
    var _c_step=0;
    var step_process_complete=false;

    var busy=false;
    var rep='';

    var poll_file_status = function() {
        if(!busy){
            jQuery.ajax({
                url: awmt_backup_maintenance_param.awmt_ajax_url_preparemigrationdetail,
                dataType:'json',
                type: 'get',
                timeout: 0,
                success: function(data) {
                    c_status=data.idStatus;

                    if(_c_step<=5){
                        //console.log('START PROCESS STEP: '+_c_step);
                        translate_file_status(_c_step);
                        rep=doAjaxStep();

                    }else{
                        step_process_complete=true;
                        clearInterval(poll_file_statusInterval);
                        window.location.href=awmt_backup_maintenance_param.awmt_ajax_url_step5;
                    }
                },
            });
        }
    };


    async function doAjaxStep() {
        let _resp=false;
        busy=true;
        _resp= await jQuery.ajax({
            type: 'GET',
            url: awmt_backup_maintenance_param.awmt_ajax_url_start_process,
            data: {step: _c_step },
            timeout: 0,
            success:function (dataprocess) {
                //c_status
                //console.log('FINISH PROCESS STEP: '+_c_step);
                const obj = JSON.parse(dataprocess);
                // console.log(obj.status );
                if(obj.status!=false ){
                    _c_step++;
                    step_process_complete=false;
                    busy=false;
                }else{
                    step_process_complete=true;
                    clearInterval(poll_file_statusInterval);
                    jQuery.ajax({
                        type: 'GET',
                        url: awmt_backup_maintenance_param.awmt_ajax_url_migration_error,
                        async : false,
                        success:function (dataprocess) {
                            window.location.href=awmt_backup_maintenance_param.awmt_ajax_url_step5;
                        }
                    });

                }
            },
            error:function (request, status, error) {
                step_process_complete=true;
                clearInterval(poll_file_statusInterval);
                jQuery.ajax({
                    type: 'GET',
                    url: awmt_backup_maintenance_param.awmt_ajax_url_migration_error,
                    async : false,
                    success:function (dataprocess) {
                        window.location.href=awmt_backup_maintenance_param.awmt_ajax_url_step5;
                    }
                });

            }
        });
        return _resp;
    }


    var translate_file_status=function(c_index){
        if(c_ss!==c_index ){
            cur_obj_index= jQuery('.status-dot.orange').attr('id');

            for(cur_obj_index; cur_obj_index<=c_index;cur_obj_index++){
                if(jQuery('.status-dot#'+cur_obj_index).hasClass('orange'))
                    jQuery('.status-dot#'+cur_obj_index).removeClass('orange');
                if(jQuery('.status-dot#'+cur_obj_index).hasClass('white'))
                    jQuery('.status-dot#'+cur_obj_index).removeClass('white');
                if(!jQuery('.status-dot#'+cur_obj_index).hasClass('black'))
                    jQuery('.status-dot#'+cur_obj_index).addClass('black');
                if(jQuery('.status-dot#'+cur_obj_index+'>.status-label').hasClass('current'))
                    jQuery('.status-dot#'+cur_obj_index+'>.status-label').removeClass('current');
            }

            jQuery('.status-dot#'+(c_index)).removeClass('white');
            jQuery('.status-dot#'+(c_index)).addClass('orange');
            jQuery('.status-dot#'+(c_index)+'>.status-label').addClass('current');

            c_ss=c_index;
        }
    }


    jQuery('form#migrationpreparation').on('submit',function (event) {
        event.preventDefault();

        var formData = {
            action:'backup_maintenance',
            activeMaintenance: jQuery('#activeMaintenance').prop('checked'),
        };
        jQuery.ajax({
            type: 'GET',
            url: awmt_backup_maintenance_param.awmt_ajax_url_post,
            data: formData,
            success:function (data) {
                //console.log('FORM Inviata');
                jQuery('#substep1').hide();
                jQuery('#substep2').show();
                //start polling per vedere cosa sta facendo
                poll_file_statusInterval = setInterval(function() {
                    poll_file_status();
                }, 5000);
                poll_file_status();
            }
        })

    });


    const _onbeforeunload = function (event) {
        //event.returnValue=undefined;
        if (!step_process_complete){
            event.preventDefault();
            event.returnValue = awmt_backup_maintenance_param.awmt_ajax_url_setmigrationexited_msg;
            window.addEventListener('unload', _onunload, { capture: true });
            return event.returnValue;
        }
    }
    window.addEventListener('beforeunload', _onbeforeunload, { capture: true });
    const _onunload = function (event) {
        if (!step_process_complete){

            navigator.sendBeacon(awmt_backup_maintenance_param.awmt_ajax_url_setmigrationexited, {});
        }
    }



});