<?php
//require_once('wpdb.php');

class AWMT_HowItWorksPage extends AWMT_Page
{
    function draw()
    {
	    wp_kses( __( 'Home page:', 'aruba-hispeed-cache' ), array( 'strong' => array() ) )
	    ?>
        <p><?php echo  wp_kses(__("<strong>Aruba Migration Tool</strong> lets you migrate content from your current WordPress website to one managed by <strong>Aruba.</strong>",'aruba-wp-migration-tool'), array( 'strong' => array() ))?></p>
        <p><?php echo wp_kses(__("To do this, you will need to enter a migration token, that can be generated from the control panel of the <strong>Aruba.</strong> domain that you have registered or transferred.",'aruba-wp-migration-tool'), array( 'strong' => array()) )?>
            <a href="<?php echo esc_url(AWMT_ARUBA_CLIENT_AREA_URL)?>" target="_blank"><?php echo  wp_kses(__("Go to your Aruba control panel.",'aruba-wp-migration-tool'),array())?></a></p>
        <p><strong><?php echo  wp_kses(__("Before continuing, please check that there is nothing on your WordPress that would inhibit migration: ",'aruba-wp-migration-tool'), array( 'strong' => array() ))?></strong></p>
        <p>
        <ul style="list-style: disc;list-style-position: inside;">
            <li><?php echo wp_kses(__("Display errors",'aruba-wp-migration-tool'),array())?></li>
            <li><?php echo wp_kses(__("DNS problems",'aruba-wp-migration-tool'),array())?></li>
            <li><?php echo wp_kses(__("Login security measures (e.g. 2 factor authentication)",'aruba-wp-migration-tool'),array())?></li>
            <li><?php echo wp_kses(__("Customized WordPress login pages",'aruba-wp-migration-tool'),array())?></li>
        </ul>
        </p>
        <p><strong><?php echo wp_kses(__("In addition, before using the Aruba Migration Tool to migrate, you must check that you have the necessary prerequisites to perform this action: ",'aruba-wp-migration-tool'), array( 'strong' => array() ))?></strong></p>
        <p>
        <ul  style="list-style: disc;list-style-position: inside;">
            <li><?php echo wp_kses(__("Latest version of WordPress",'aruba-wp-migration-tool'),array())?></li>
            <li><?php echo wp_kses(__("Updated active plugins",'aruba-wp-migration-tool'),array())?></li>
            <li><?php echo wp_kses(__("Latest version of PHP",'aruba-wp-migration-tool'),array())?></li>
            <li><?php echo wp_kses(__("Latest version of MySQL",'aruba-wp-migration-tool'),array())?></li>
        </ul>
        <a href="<?php echo esc_url(AWMT_ARUBA_HELP_URL)?>" target="_blank"><?php echo wp_kses(__("See system compatibility requirements",'aruba-wp-migration-tool'),array())?></a>
        </p>
<?php
        

        if (current_user_can('update_plugins')) {
            // Richiedi il file delle funzioni di aggiornamento dei plugin di WordPress
            require_once ABSPATH . 'wp-admin/includes/update.php';
            
            // Esegui la verifica degli aggiornamenti dei plugin
            wp_update_plugins();
        }
       // print_r(get_site_transient('update_plugins'));
        
        
        //https://github.com/cagross/outdated-plugin-notifier vedere api wordpress
        //https://codex.wordpress.org/WordPress.org_API#Secret_Key
        /*foreach(array( $pluginList ) as $plugin)
        {
            $plugin
        }*/
        
    }


}
