<?php
class AWMT_MigrationLog
{
    private $logPath;
    function __construct($logPath)
    {
        $this->logPath = $logPath;
    }

    public function writeLog($message)
    {
        if (!isset($this->logPath)) {
            return null;
        }
        require_once ABSPATH . 'wp-admin/includes/class-wp-filesystem-base.php';
        require_once ABSPATH . 'wp-admin/includes/class-wp-filesystem-direct.php';
        $wp_filesystem = new WP_Filesystem_Direct(null);


       // $myfile = fopen($this->logPath, "a") or die("Unable to open file!");
        if (is_array($message)) {
            $message = wp_json_encode($message);
        }

        $txt =$wp_filesystem->get_contents($this->logPath). gmdate("Y/m/d") . "-" . gmdate("h:i:sa") . "\t $message\n";
        //fwrite($myfile, $txt);
        $wp_filesystem->put_contents($this->logPath, $txt,0664);
        //fclose($myfile);
    }
}
