<?php

define("WP2WP_PLUGIN_DIR_NAME", "aruba-wp-migration-tool");
define("WP2WP_PLUGIN_DIR_PATH", WP_CONTENT_DIR . DIRECTORY_SEPARATOR . WP2WP_PLUGIN_DIR_NAME);
// STEPS URL
define('WP2WP_STEPS_URL', [
    1 => 'admin.php?page=aruba-wp-migration-tool-migration&step=1',
    2 => 'admin.php?page=aruba-wp-migration-tool-migration&step=2',
    3 => 'admin.php?page=aruba-wp-migration-tool-migration&step=3',
    4 => 'admin.php?page=aruba-wp-migration-tool-migration&step=4',
    5 => 'admin.php?page=aruba-wp-migration-tool-migration&step=5'
]);


define("PROCESS_FOLDER_NAME", "wp2wp-rt-folder");
define("MIGRATION_FOLDER_NAME", "migration");
define("FILE_LOG_NAME", "log.txt");
define("FOLDER_LOG_NAME", "folders.txt");
define("FILE_MIGRATION_NAME", ".wp2wp-migration");
define("PROCESS_FOLDER_PATH", WP_CONTENT_DIR . DIRECTORY_SEPARATOR . PROCESS_FOLDER_NAME);
define("MIGRATION_FOLDER_PATH", PROCESS_FOLDER_PATH . DIRECTORY_SEPARATOR . MIGRATION_FOLDER_NAME);
define("FILE_LOG_PATH", PROCESS_FOLDER_PATH . DIRECTORY_SEPARATOR . FILE_LOG_NAME);
define("FOLDER_LOG_PATH", PROCESS_FOLDER_PATH . DIRECTORY_SEPARATOR . FOLDER_LOG_NAME);
define("FILE_MIGRATION_PATH", PROCESS_FOLDER_PATH . DIRECTORY_SEPARATOR . FILE_MIGRATION_NAME);

define("REQUIRED_FOLDERS_FILES", ["wp-content", "wp-config.php",
    "wp-admin",
    "wp-includes",
    ".htaccess",
    "index.php",
    "license.txt",
    "readme.html",
    "wp-activate.php",
    "wp-blog-header.php",
    "wp-comments-post.php",
    "wp-config-sample.php",
    "wp-cron.php",
    "wp-links-opml.php",
    "wp-load.php",
    "wp-login.php",
    "wp-mail.php",
    "wp-settings.php",
    "wp-signup.php",
    "wp-trackback.php",
    "xmlrpc.php"]);

define("CRON_JOB_ENDPOINT", DIRECTORY_SEPARATOR . "cron-job");

// aggiungere     "wp-includes",

define("EXCLUDED_FOLDERS_FILES", [
    'user.ini',
    '.htaccess.preinstall'
    //"wp-admin",
    //"wp-includes",
    //".htaccess",
    //"index.php",
    //"license.txt",
    //"readme.html",
    //"wp-activate.php",
    //"wp-blog-header.php",
    //"wp-comments-post.php",
    //"wp-config-sample.php",
    //"wp-cron.php",
    //"wp-links-opml.php",
    //"wp-load.php",
    //"wp-login.php",
    //"wp-mail.php",
    //"wp-settings.php",
    //"wp-signup.php",
    //"wp-trackback.php",
    //"xmlrpc.php"
]);

define(
    "FILE_MIGRATION_DEFAULT_CONTENT",
    "WP2WP_PLUGIN_LANG=IT\n" .
        "WP2WP_MIGRATION_PAGE_ACTIVE=false\n" .
        "WP2WP_MIGRATION_COMPLETED=false\n" .
        "WP2WP_MIGRATION_PROCESS_ID=0\n" .
        "WP2WP_MIGRATION_ERROR=false\n" .
        "WP2WP_MIGRATION_STATE=-1\n" .
        "WP2WP_MIGRATION_CURRENT_STATE_NAME=false\n" .
        "WP2WP_MIGRATION_FILES_STATUS=0\n".
        "WP2WP_MIGRATION_KILLED_BY_USER=false\n"
);
