<?php
class MigrationLog
{
    private $logPath;
    function __construct($logPath)
    {
        $this->logPath = $logPath;
    }

    public function writeLog($message)
    {
        if (!isset($this->logPath)) {
            return null;
        }
        $myfile = fopen($this->logPath, "a") or die("Unable to open file!");
        if (is_array($message)) {
            $message = json_encode($message);
        }
        $txt = date("Y/m/d") . "-" . date("h:i:sa") . "\t $message\n";
        fwrite($myfile, $txt);
        fclose($myfile);
    }
}
