<?php

class MigratorStateUpload extends MigratorState
{
    //private $s3Conn;
    //private $s3client;
    private $migrationFolderPath;
    private $_jwt;
    function __construct($migrationFolderPath, $jwt)
    {
        parent::__construct("upload");
        //$this->s3Conn = $s3Conn;
        $this->migrationFolderPath = $migrationFolderPath;
        $this->_jwt = $jwt;
    }

    /**
     * Carica gli zip creati su s3
     */
    function execute()
    {
        set_time_limit(0);
       // $success = true;
        $GLOBALS["PROCESS_LOG"]->writeLog("Migration Process - Init API Upload ");
        //Content upload

            try
            {
                $files = Utilities::scanDir($this->migrationFolderPath);
                $files = array_map(function ($v) {
                    return ["name" =>  $v, "path" => $this->migrationFolderPath . DIRECTORY_SEPARATOR . $v];
                }, $files);
                $GLOBALS["PROCESS_LOG"]->writeLog("Migration Process - Start Upload");
                //$endpointwc = WP2WP_API_URL . "migration/uploaddata";
                $endpointwc = WP2WP_API_URL . "migration/uploaddatapart";

                //$endpointdb = WP2WP_API_URL . "migration/uploaddb";
                $endpointdb = WP2WP_API_URL . "migration/uploaddbpart";

                $GLOBALS["PROCESS_LOG"]->writeLog(" WORDPRESS API: ".$endpointwc);
                $GLOBALS["PROCESS_LOG"]->writeLog(" DATABASE API: ".$endpointdb);

                //$filepath = PROCESS_FOLDER_PATH . DIRECTORY_SEPARATOR . 'gigafile.zip';
                $uploader = new ORCUploader();
                //$uploader->upload( $filepath, $endpoint  , $_SESSION["wp2wp-jwt"]);

                $GLOBALS["PROCESS_LOG"]->writeLog("Migration Process - Upload data : ".$this->migrationFolderPath . DIRECTORY_SEPARATOR . "wp.zip");
                $GLOBALS["MIGRATION_FILE_MANAGER"]->updateMigrationKey("WP2WP_MIGRATION_FILES_STATUS", "4");

                //$uploader->upload
                if(!$uploader->uploadchunks( $this->migrationFolderPath . DIRECTORY_SEPARATOR . "wp.zip", $endpointwc  , $this->_jwt))
                {

                    $GLOBALS["PROCESS_LOG"]->writeLog("Migration Process - API Upload Content Error " . "wp.zip");
                    return false;
                }
                sleep(2);
                $GLOBALS["PROCESS_LOG"]->writeLog("Migration Process - Upload DB : ".$this->migrationFolderPath . DIRECTORY_SEPARATOR . "wpdb.zip");
                $GLOBALS["MIGRATION_FILE_MANAGER"]->updateMigrationKey("WP2WP_MIGRATION_FILES_STATUS", "5");
                //!$uploader->upload
                if(!$uploader->uploadchunks( $this->migrationFolderPath . DIRECTORY_SEPARATOR . "wpdb.zip", $endpointdb  , $this->_jwt))
                {

                    $GLOBALS["PROCESS_LOG"]->writeLog("Migration Process - API Upload Content Error " . "wpdb.zip");
                    return false;
                }
                
            }catch(Exception $uce)
            {
                $GLOBALS["PROCESS_LOG"]->writeLog("Migration Process - API Upload Content Error " . serialize($uce));
                return false;
            };
        $GLOBALS["PROCESS_LOG"]->writeLog("Migration Process - Files Uploaded");



        /*         $success = true;
        $GLOBALS["PROCESS_LOG"]->writeLog("Migration Process - Init S3 client ");

        try {
            $this->s3client = new S3ClientWrapper($this->s3Conn->key, $this->s3Conn->secret, $this->s3Conn->endpoint, $this->s3Conn->bucket);
            $this->s3client->init();
        } catch (Exception $e) {
            $success = false;
            $GLOBALS["PROCESS_LOG"]->writeLog("Migration Process - Init S3 client Errore " . serialize($e));
        };

        if (!$success) {
            return false;
        }

        $GLOBALS["PROCESS_LOG"]->writeLog("Migration Process - Start Upload");
        $files = Utilities::scanDir($this->migrationFolderPath);
        $files = array_map(function ($v) {
            return ["name" =>  $v, "path" => $this->migrationFolderPath . DIRECTORY_SEPARATOR . $v];
        }, $files);

        if (!$this->uploadBackupRecursive($files)) {
            return false;
        }
        $GLOBALS["PROCESS_LOG"]->writeLog("Migration Process - Files Uploaded"); */
        return true;
    }

    private function uploadBackupRecursive($files)
    {
        /*if (count($files) === 0) {
            return true;
        }
        $first = array_pop($files);
        $name = (isset($this->s3Conn->prefix)) ? $this->s3Conn->prefix . "/" . $first["name"] : $first["name"];
        $GLOBALS["PROCESS_LOG"]->writeLog("Migration Process - Uploading: [" . $name . "] " . $first["path"]);
        if (!$this->s3client->putObject($name, $first["path"])) {
            $GLOBALS["PROCESS_LOG"]->writeLog("Migration Process - ERROR Uploading: " . $first["path"]);
            return false;
        }

        return $this->uploadBackupRecursive($files);*/
    }
}
