<?php

//use \GuzzleHttp\Client;

class AWMT_MigratorStateCallOrchestrator extends AWMT_MigratorState
{
    private $apiUrl;
    private $jwt;
    private $token;
    private $shouldBackup;
    function __construct($apiUrl, $jwt, $token, $shouldBackup)
    {
        parent::__construct("chiamata orchestratore");
        $this->apiUrl = $apiUrl;
        $this->jwt = $jwt;
        $this->token = $token;
        $this->shouldBackup = $shouldBackup;
    }

    /**
     * Avvia l'orchestratore
     */
    function execute()
    {
        $GLOBALS["AWMT_PROCESS_LOG"]->writeLog("Migration Process - Chiamata orchestratore DETAIL");

        $url = $this->apiUrl . 'detail';
        $GLOBALS["AWMT_PROCESS_LOG"]->writeLog($url);

        $headers = array(
            'Content-Type' => 'application/json',
            'Authorization' => "Bearer " . $this->jwt
        );

        $response = WpOrg\Requests\Requests::get($url,$headers);

        //use AWMT_MigrationFileManager as response storage, will be read from new status bar
/*
        $data = $response->decode_body();


          $GLOBALS["AWMT_PROCESS_LOG"]->writeLog("Migration Process - First Status Request " . $response->success . " " . $response->status_code);


          if(isset($data['idStatus']) ) {

              if($data['idStatus']===1){
                $start_url = $this->apiUrl . 'start';
              }else if($data['idStatus']===4 || $data['idStatus']===5){
                  $start_url = $this->apiUrl . 'restart';
              }
              $GLOBALS["AWMT_PROCESS_LOG"]->writeLog($start_url);
              $response = WpOrg\Requests\Requests::post($start_url, $headers);


              if($response->status_code===400){
                  $GLOBALS["AWMT_PROCESS_LOG"]->writeLog("Migration Process - Start Process Request FAIL " . $response->status_code);
                  //$response->throw_for_status(true);//??
              }else{
                  $GLOBALS["AWMT_PROCESS_LOG"]->writeLog("Migration Process - Start Process Request " . $response->success . " " . $response->status_code);
              }
          }*/

       // $GLOBALS["AWMT_PROCESS_LOG"]->writeLog("Migration Process - Chiamata orchestratore RESULT".serialize($response));
        return $response->success;
    }
}