<?php

class AWMT_MigratorStateEnableMaintenance extends AWMT_MigratorState
{
    private $enableMaintenance ;
    function __construct($enableMaintenance)
    {
        parent::__construct("verifica maintenance");
        $this->enableMaintenance = $enableMaintenance;
    }

    /**
     * Imposta la maintenance mode (se necessario)
     */
    function execute()
    {
        if (!$this->enableMaintenance) {
            $GLOBALS["AWMT_MIGRATION_FILE_MANAGER"]->updateMigrationKey("WP2WP_MIGRATION_PAGE_ACTIVE", "false");
            return true;
        }
        $GLOBALS["AWMT_PROCESS_LOG"]->writeLog("Migration Process - Set Maintenance mode");
        $GLOBALS["AWMT_MIGRATION_FILE_MANAGER"]->updateMigrationKey("WP2WP_MIGRATION_PAGE_ACTIVE", "true");
        $GLOBALS["AWMT_PROCESS_LOG"]->writeLog("Migration Process - Maintenance mode setted");

        return true;
    }
}